
# Fedora Review: http://bugzilla.redhat.com/171289

Name:	 dirmngr
Summary: Client for Managing/Downloading CRLs
Version: 1.0.3
Release: 4%{?dist}

License: GPLv2+ and GPLv3+ and OpenLDAP
Group:	 System Environment/Libraries
URL:	 http://www.gnupg.org/
Source0: ftp://ftp.gnupg.org/gcrypt/dirmngr/dirmngr-%{version}.tar.bz2
Source1: ftp://ftp.gnupg.org/gcrypt/dirmngr/dirmngr-%{version}.tar.bz2.sig
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source10: dirmngr.conf
Source11: ldapservers.conf
Source12: dirmngr.logrotate

## upstream patches

BuildRequires: gawk
BuildRequires: gettext
BuildRequires: libassuan-devel
BuildRequires: libgcrypt-devel >= 1.2.0
BuildRequires: libksba-devel >= 1.0.0
BuildRequires: openldap-devel
BuildRequires: pth-devel

Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
Requires: logrotate

%description
Dirmngr is a server for managing and downloading certificate
revocation lists (CRLs) for X.509 certificates and for downloading
the certificates themselves. Dirmngr also handles OCSP requests as
an alternative to CRLs. Dirmngr is either invoked internally by
gpgsm (from gnupg2) or when running as a system daemon through
the dirmngr-client tool.


%prep
%setup -q

pushd doc
iconv -f iso-8859-1 -t utf-8 dirmngr.texi -o dirmngr.texi.NEW && mv dirmngr.texi.NEW dirmngr.texi
iconv -f iso-8859-1 -t utf-8 dirmngr.info -o dirmngr.info.NEW && mv dirmngr.info.NEW dirmngr.info
popd


%build

%configure \
  --disable-dependancy-tracking

make %{?_smp_mflags}


%install
rm -rf %{buildroot} 

# dirs
mkdir -p %{buildroot}%{_sysconfdir}/dirmngr/trusted-certs
mkdir -p %{buildroot}%{_var}/cache/dirmngr/crls.d
mkdir -p %{buildroot}%{_var}/lib/dirmngr/extra-certs
mkdir -p %{buildroot}%{_var}/log/dirmngr
mkdir -p %{buildroot}%{_var}/run/dirmngr

make install DESTDIR=%{buildroot}

# dirmngr.log, logrotate
install -p -m644 -D %{SOURCE12} %{buildroot}%{_sysconfdir}/logrotate.d/dirmngr

# conf files
install -p -m644 %{SOURCE10} %{SOURCE11} %{buildroot}%{_sysconfdir}/dirmngr/

%find_lang %{name}

## unpackaged files
rm -f %{buildroot}%{_infodir}/dir
rm -rf %{buildroot}%{_docdir}/dirmngr/examples


%check
make check


%post
/sbin/install-info %{_infodir}/dirmngr.info.gz %{_infodir}/dir ||:

%preun
if [ $1 -eq 0 ]; then
  /sbin/install-info --delete %{_infodir}/dirmngr.info.gz %{_infodir}/dir ||:
fi


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README ChangeLog NEWS
%doc doc/examples
%{_bindir}/dirmngr*
%{_libexecdir}/dirmngr_ldap
%{_infodir}/dirmngr.info*
%{_mandir}/man1/*
# TODO/FIXME
#{_initrddir}/*
## files/dirs for --daemon mode
%dir %{_sysconfdir}/dirmngr
%config(noreplace) %{_sysconfdir}/dirmngr/*.conf
%config %{_sysconfdir}/logrotate.d/*
%{_var}/cache/dirmngr/
%{_var}/lib/dirmngr/
%{_var}/log/dirmngr/
%{_var}/run/dirmngr/



%changelog

